From 49f2b1acc4efbb3eb90589c7874217d536067743 Mon Sep 17 00:00:00 2001
From: Barbora Smejkalova <bsmejkal@redhat.com>
Date: Dec 09 2019 10:07:15 +0000
Subject: Issue 50761 - Parametrized tests are missing ':parametrized' value


Bug Description:
Value ':parametrized: yes' in parametrized tests is needed
for a proper import of results into test case management system.

Fix Description:
Added ':parametrized: yes' value to parametrized tests.
Fixed spacing.
Added missing id to tests.

Fixes: https://pagure.io/389-ds-base/issue/50761

Reviewed by: mhonek, vashirov (Thanks!)

---

diff --git a/dirsrvtests/tests/suites/acl/acivattr_test.py b/dirsrvtests/tests/suites/acl/acivattr_test.py
index e46b891..35759f3 100644
--- a/dirsrvtests/tests/suites/acl/acivattr_test.py
+++ b/dirsrvtests/tests/suites/acl/acivattr_test.py
@@ -176,6 +176,7 @@ LDAPURL_ACI = '(targetattr="*")(version 3.0; acl "url"; allow (all) userdn="ldap
 def test_positive(topo, _add_user, aci_of_user, user, entry, aci):
     """
         :id: ba6d5e9c-786b-11e8-860d-8c16451d917b
+        :parametrized: yes
         :setup: server
         :steps:
             1. Add test entry
@@ -226,6 +227,7 @@ def test_positive(topo, _add_user, aci_of_user, user, entry, aci):
 def test_negative(topo, _add_user, aci_of_user, user, entry, aci):
     """
         :id: c4c887c2-786b-11e8-a328-8c16451d917b
+        :parametrized: yes
         :setup: server
         :steps:
             1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/acl_test.py b/dirsrvtests/tests/suites/acl/acl_test.py
index 7acb094..5ca8652 100644
--- a/dirsrvtests/tests/suites/acl/acl_test.py
+++ b/dirsrvtests/tests/suites/acl/acl_test.py
@@ -103,6 +103,7 @@ def test_aci_attr_subtype_targetattr(topology_m2, aci_with_attr_subtype):
     """Checks, that ACIs allow attribute subtypes in the targetattr keyword
 
     :id: a99ccda0-5d0b-4d41-99cc-c5e207b3b687
+    :parametrized: yes
     :setup: MMR with two masters,
             Define two attributes in the schema - targetattr and userattr,
             Add an ACI with attribute subtypes - "lang-ja", "binary", "phonetic"
@@ -350,6 +351,7 @@ def test_moddn_staging_prod(topology_m2, moddn_setup,
     target_to/target_from: equality filter
 
     :id: cbafdd68-64d6-431f-9f22-6fbf9ed23ca0
+    :parametrized: yes
     :setup: MMR with two masters,
             M1 - staging DIT
             M2 - production DIT
diff --git a/dirsrvtests/tests/suites/acl/keywords_test.py b/dirsrvtests/tests/suites/acl/keywords_test.py
index 26bee4a..138e3ed 100644
--- a/dirsrvtests/tests/suites/acl/keywords_test.py
+++ b/dirsrvtests/tests/suites/acl/keywords_test.py
@@ -438,6 +438,7 @@ def test_user_can_access_from_ipv4_or_ipv6_address(topo, add_user, aci_of_user, 
     User can modify the data when accessing the server from the allowed IPv4 and IPv6 addresses
 
     :id: 461e761e-7ac5-11e8-9ae4-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Server
     :steps:
         1. Add ACI that has both IPv4 and IPv6
diff --git a/dirsrvtests/tests/suites/acl/roledn_test.py b/dirsrvtests/tests/suites/acl/roledn_test.py
index 3616532..227ebd9 100644
--- a/dirsrvtests/tests/suites/acl/roledn_test.py
+++ b/dirsrvtests/tests/suites/acl/roledn_test.py
@@ -169,7 +169,9 @@ def test_mod_seealso_positive(topo, _add_user, _aci_of_user, user, entry):
     """
     Testing the roledn keyword that allows access control
     based on the role  of the bound user.
+
     :id: a33c5d6a-79f4-11e8-8551-8c16451d917b
+    :parametrized: yes
     :setup: Standalone server
     :steps:
         1. Add test entry
@@ -200,7 +202,9 @@ def test_mod_seealso_negative(topo, _add_user, _aci_of_user, user, entry):
     """
     Testing the roledn keyword that do not allows access control
     based on the role  of the bound user.
+
     :id: b2444aa2-79f4-11e8-a2c3-8c16451d917b
+    :parametrized: yes
     :setup: Standalone server
     :steps:
         1. Add test entry
@@ -223,7 +227,9 @@ def test_mod_anonseealso_positive(topo, _add_user, _aci_of_user, entry):
     """
     Testing the roledn keyword that allows access control
     based on the role  of the bound user.
+
     :id: c3eb41ac-79f4-11e8-aa8b-8c16451d917b
+    :parametrized: yes
     :setup: Standalone server
     :steps:
         1. Add test entry
@@ -244,7 +250,9 @@ def test_mod_anonseealso_negaive(topo, _add_user, _aci_of_user, entry):
     """
     Testing the roledn keyword that do not allows access control
     based on the role  of the bound user.
+
     :id: d385611a-79f4-11e8-adc8-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Instance
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/acl/syntax_test.py b/dirsrvtests/tests/suites/acl/syntax_test.py
index c190740..556b19b 100644
--- a/dirsrvtests/tests/suites/acl/syntax_test.py
+++ b/dirsrvtests/tests/suites/acl/syntax_test.py
@@ -201,6 +201,7 @@ def test_aci_invalid_syntax_fail(topo, real_value):
     Try to set wrong ACI syntax.
 
         :id: 83c40784-fff5-49c8-9535-7064c9c19e7e
+        :parametrized: yes
         :setup: Standalone Instance
         :steps:
             1. Create ACI
@@ -222,6 +223,7 @@ def test_aci_invalid_syntax(topo, real_value):
     Try to set wrong ACI syntax.
 
         :id: e8bf20b6-48be-4574-8300-056e42a0f0a8
+        :parametrized: yes
         :setup: Standalone Instance
         :steps:
             1. Create ACI
diff --git a/dirsrvtests/tests/suites/acl/userattr_test.py b/dirsrvtests/tests/suites/acl/userattr_test.py
index 939daca..542d7af 100644
--- a/dirsrvtests/tests/suites/acl/userattr_test.py
+++ b/dirsrvtests/tests/suites/acl/userattr_test.py
@@ -198,8 +198,10 @@ def _add_user(topo):
 def test_mod_see_also_positive(topo, _add_user, user, entry):
     """
     Try to set seeAlso on entry with binding specific user, it will success
-    as per the ACI .
+    as per the ACI.
+
     :id: 65745426-7a01-11e8-8ac2-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -243,7 +245,9 @@ def test_mod_see_also_negative(topo, _add_user, user, entry):
     """
     Try to set seeAlso on entry with binding specific user, it will Fail
     as per the ACI.
+
     :id: 9ea93252-7a01-11e8-a85b-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Instance
     :steps:
         1. Add test entry
@@ -270,7 +274,9 @@ def test_last_three(topo, _add_user, user, entry):
     When we use the userattr keyword to associate the entry used to bind
     with the target entry the ACI applies only to the target specified and
     not to subentries.
+
     :id: add58a0a-7a01-11e8-85f1-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Instance
     :steps:
         1. Add test entry
diff --git a/dirsrvtests/tests/suites/basic/basic_test.py b/dirsrvtests/tests/suites/basic/basic_test.py
index 156e205..6a6894e 100644
--- a/dirsrvtests/tests/suites/basic/basic_test.py
+++ b/dirsrvtests/tests/suites/basic/basic_test.py
@@ -628,7 +628,9 @@ search_params = [(['1.1'], 'cn', False),
 @pytest.mark.parametrize("attrs, attr, present", search_params)
 def test_search_req_attrs(topology_st, add_test_entry, attrs, attr, present):
     """Test requested attributes in search operations.
+
     :id: 426a59ff-49b8-4a70-b377-0c0634a29b6e
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
          1. Test "1.1" does not return any attributes.
@@ -906,7 +908,7 @@ def test_def_rootdse_attr(topology_st, import_example_ldif, rootdse_attr_name):
     """Tests that operational attributes are not returned by default in rootDSE searches
 
     :id: 4fee33cc-4019-4c27-89e8-998e6c770dc0
-
+    :parametrized: yes
     :setup: Standalone instance
 
     :steps:
@@ -934,7 +936,7 @@ def test_mod_def_rootdse_attr(topology_st, import_example_ldif, rootdse_attr):
     """Tests that operational attributes are returned by default in rootDSE searches after config modification
 
    :id: c7831e04-f458-4e23-83c7-b6f66109f639
-
+   :parametrized: yes
    :setup: Standalone instance and we are using rootdse_attr fixture which
 adds nsslapd-return-default-opattr attr with value of one operation attribute.
 
diff --git a/dirsrvtests/tests/suites/config/autotuning_test.py b/dirsrvtests/tests/suites/config/autotuning_test.py
index f40046e..d1c7514 100644
--- a/dirsrvtests/tests/suites/config/autotuning_test.py
+++ b/dirsrvtests/tests/suites/config/autotuning_test.py
@@ -48,6 +48,7 @@ def test_threads_invalid_value(topo, invalid_value):
     """Check nsslapd-threadnumber for an invalid values
 
     :id: 1979eddf-8222-4c9d-809d-269c26de636e
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Set nsslapd-threadnumber to -2, 0, invalid_str
@@ -99,6 +100,7 @@ def test_cache_autosize_non_zero(topo, autosize, autosize_split):
     """Check that autosizing works works properly in different combinations
 
     :id: 83fa099c-a6c9-457a-82db-0982b67e8598
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Set in the cn=config,cn=ldbm database,cn=plugins,cn=config:
@@ -199,6 +201,7 @@ def test_cache_autosize_basic_sane(topo, autosize_split):
     """Check that autotuning cachesizes works properly with different values
 
     :id: 9dc363ef-f551-446d-8b83-8ac45dabb8df
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Set in the cn=config,cn=ldbm database,cn=plugins,cn=config:
@@ -289,6 +292,7 @@ def test_cache_autosize_invalid_values(topo, invalid_value):
     """Check that we can't set invalid values to autosize attributes
 
     :id: 2f0d01b5-ca91-4dc2-97bc-ad0ac8d08633
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Stop the instance
diff --git a/dirsrvtests/tests/suites/disk_monitoring/disk_monitoring_test.py b/dirsrvtests/tests/suites/disk_monitoring/disk_monitoring_test.py
index 81b31e2..c1d2974 100644
--- a/dirsrvtests/tests/suites/disk_monitoring/disk_monitoring_test.py
+++ b/dirsrvtests/tests/suites/disk_monitoring/disk_monitoring_test.py
@@ -527,7 +527,9 @@ def test_threshold_is_reached_to_half(topo, setup, reset_logs):
 def test_negagtive_parameterize(topo, setup, reset_logs, test_input, expected):
     """
     Verify that invalid operations are not permitted
+
     :id: b88efbf8-fe9e-11e8-8499-8c16451d917b
+    :parametrized: yes
     :setup: Standalone
     :steps:
         1. Verify that invalid operations are not permitted.
diff --git a/dirsrvtests/tests/suites/ds_logs/regression_test.py b/dirsrvtests/tests/suites/ds_logs/regression_test.py
index c3c157d..e2de21a 100644
--- a/dirsrvtests/tests/suites/ds_logs/regression_test.py
+++ b/dirsrvtests/tests/suites/ds_logs/regression_test.py
@@ -29,7 +29,7 @@ def test_default_loglevel_stripped(topo, log_level):
     """The default log level 16384 is stripped from the log level returned to a client
 
     :id: c300f8f1-aa11-4621-b124-e2be51930a6b
-
+    :parametrized: yes
     :setup: Standalone instance
 
     :steps: 1. Change the error log level to the default and custom value.
diff --git a/dirsrvtests/tests/suites/filter/bitw_filter_test.py b/dirsrvtests/tests/suites/filter/bitw_filter_test.py
index a4a6bab..c844feb 100644
--- a/dirsrvtests/tests/suites/filter/bitw_filter_test.py
+++ b/dirsrvtests/tests/suites/filter/bitw_filter_test.py
@@ -287,7 +287,9 @@ def test_enabling_works_fine(topo, _create_schema):
 ])
 def test_all_together(topo, _create_schema, filter_name, value):
     """Target_set_with_ldap_instead_of_ldap
+
         :id:  ba7f5106-9ebd-11e8-9ad6-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create Filter rules.
diff --git a/dirsrvtests/tests/suites/filter/complex_filters_test.py b/dirsrvtests/tests/suites/filter/complex_filters_test.py
index 37d7688..b96cc2a 100644
--- a/dirsrvtests/tests/suites/filter/complex_filters_test.py
+++ b/dirsrvtests/tests/suites/filter/complex_filters_test.py
@@ -109,6 +109,7 @@ def test_filters(topo, setup, myfilter, expected_results):
     expected number of entries
 
     :id: ee9ead27-5f63-4aed-844d-c39b99138c8d
+    :parametrized: yes
     :setup: standalone
     :steps:
         1. Issue search
diff --git a/dirsrvtests/tests/suites/filter/filter_index_match_test.py b/dirsrvtests/tests/suites/filter/filter_index_match_test.py
index 00d5671..8114e00 100644
--- a/dirsrvtests/tests/suites/filter/filter_index_match_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_index_match_test.py
@@ -426,7 +426,9 @@ def _create_index_entry(topology_st):
 @pytest.mark.parametrize("index", LIST_ATTR_INDEX)
 def test_valid_invalid_attributes(topology_st, _create_index_entry, index):
     """Test valid and invalid values of attributes
+
         :id: 93dc9e02-b87d-11e9-b39b-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses that matching rule
@@ -451,7 +453,9 @@ def test_valid_invalid_attributes(topology_st, _create_index_entry, index):
 @pytest.mark.parametrize("mod", LIST_MOD_ATTR_ALL)
 def test_mods(topology_st, _create_index_entry, mod):
     """Test valid and invalid values of attributes mods
+
         :id: 8c15874c-b87d-11e9-9c5d-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses matching mod
@@ -475,7 +479,9 @@ def test_mods(topology_st, _create_index_entry, mod):
 @pytest.mark.parametrize("mode", LIST_MOD_REPLACE_ALL)
 def test_mods_replace(topology_st, _create_index_entry, mode):
     """Test modes replace
+
         :id: 2dd46b7a-b928-11e9-91dd-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses matching mode
@@ -499,7 +505,9 @@ def test_mods_replace(topology_st, _create_index_entry, mode):
 @pytest.mark.parametrize("mode", LIST_MOD_DEL_ALL)
 def test_mods_delete(topology_st, _create_index_entry, mode):
     """Test modes delete
+
         :id: 1dda055e-b928-11e9-b5c1-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses matching mode
diff --git a/dirsrvtests/tests/suites/filter/filter_indexing_test.py b/dirsrvtests/tests/suites/filter/filter_indexing_test.py
index c7aec90..bebb6c6 100644
--- a/dirsrvtests/tests/suites/filter/filter_indexing_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_indexing_test.py
@@ -100,7 +100,9 @@ def _create_entries(topo):
 @pytest.mark.parametrize("real_value", FILTERS)
 def test_positive(topo, _create_entries, real_value):
     """Test positive filters
+
         :id: 57243326-91ae-11e9-aca3-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Try to pass filter rules as per the condition .
@@ -133,7 +135,9 @@ def test_indexing_schema(topo, _create_entries):
 @pytest.mark.parametrize("real_value", INDEXES)
 def test_indexing(topo, _create_entries, real_value):
     """Test positive index filters
+
         :id: 7337589a-91ae-11e9-ad44-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Try to pass filter rules as per the condition .
@@ -147,7 +151,9 @@ def test_indexing(topo, _create_entries, real_value):
 @pytest.mark.parametrize("real_value", INDEXES_FALSE)
 def test_indexing_negative(topo, _create_entries, real_value):
     """Test negative index filters
+
         :id: 7e19deae-91ae-11e9-900c-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Try to pass negative filter rules as per the condition .
diff --git a/dirsrvtests/tests/suites/filter/filter_match_test.py b/dirsrvtests/tests/suites/filter/filter_match_test.py
index a0ce546..6339a99 100644
--- a/dirsrvtests/tests/suites/filter/filter_match_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_match_test.py
@@ -634,7 +634,9 @@ def test_add_attribute_types(topology_st):
 @pytest.mark.parametrize("rule", MATCHING_RULES)
 def test_valid_invalid_attributes(topology_st, rule):
     """Delete duplicate attributes
+
         :id: d0bf3942-ba71-4947-90c8-1bfa9f0b838f
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses that matching rule
@@ -659,7 +661,9 @@ def test_valid_invalid_attributes(topology_st, rule):
 @pytest.mark.parametrize("mode", MATCHING_MODES)
 def test_valid_invalid_modes(topology_st, mode):
     """Add duplicate attributes
+
         :id: dec03362-ba26-41da-b479-e2b788403fce
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses matching mode
@@ -683,7 +687,9 @@ def test_valid_invalid_modes(topology_st, mode):
 @pytest.mark.parametrize("mode", MODE_REPLACE)
 def test_valid_invalid_mode_replace(topology_st, mode):
     """Replace and Delete duplicate attribute
+
         :id: 7ec19eca-8cfc-11e9-a0df-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Create entry with an attribute that uses that matching rule
@@ -733,7 +739,9 @@ def _searches(topology_st):
 def test_match_count(topology_st, _searches, attr, po_value, ne_attr):
     """Search for an attribute with that matching rule with an assertion
     value that should match
+
         :id: 00276180-b902-11e9-bff2-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Filter rules as per the condition and assert the no of output.
@@ -750,7 +758,9 @@ def test_match_count(topology_st, _searches, attr, po_value, ne_attr):
 @pytest.mark.parametrize("attr, value", LIST_EXT)
 def test_extensible_search(topology_st, _searches, attr, value):
     """Match filter and output.
+
         :id: abe3e6dd-9ecc-11e8-adf0-8c16451d917c
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Filer output should match the exact value given.
diff --git a/dirsrvtests/tests/suites/filter/filter_with_non_root_user_test.py b/dirsrvtests/tests/suites/filter/filter_with_non_root_user_test.py
index b6b21bd..a9697c4 100644
--- a/dirsrvtests/tests/suites/filter/filter_with_non_root_user_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_with_non_root_user_test.py
@@ -333,7 +333,9 @@ def _create_entries(topo):
 @pytest.mark.parametrize("real_value", VALUES)
 def test_telephone(topo, _create_entries, real_value):
     """Test telephone number attr with filter
+
         :id: abe3e6de-9eec-11e8-adf0-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Pass filter rules as per the condition .
@@ -348,7 +350,9 @@ def test_telephone(topo, _create_entries, real_value):
 @pytest.mark.parametrize("real_value", POSITIVE)
 def test_all_positive(topo, _create_entries, real_value):
     """Test filters with positive output.
+
         :id: abe3e6dd-9ecc-11e8-adf0-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Pass filter rules as per the condition .
@@ -362,7 +366,9 @@ def test_all_positive(topo, _create_entries, real_value):
 @pytest.mark.parametrize("real_value", NEGATIVE)
 def test_all_negative(topo, _create_entries, real_value):
     """Test filters which will not give any output.
+
         :id: abe3e1de-9ecc-11e8-adf0-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Pass filter rules as per the negative condition .
diff --git a/dirsrvtests/tests/suites/filter/large_filter_test.py b/dirsrvtests/tests/suites/filter/large_filter_test.py
index 3aa780a..837b892 100644
--- a/dirsrvtests/tests/suites/filter/large_filter_test.py
+++ b/dirsrvtests/tests/suites/filter/large_filter_test.py
@@ -142,7 +142,9 @@ FILTERS = ['(&(objectClass=person)(|(manager=uid=fmcdonnagh,dc=anuj,dc=com)'
 @pytest.mark.parametrize("real_value", FILTERS)
 def test_large_filter(topo, _create_entries, real_value):
     """Exercise large eq filter with dn syntax attributes
+
         :id: abe3e6de-9ecc-11e8-adf0-8c16451d917b
+        :parametrized: yes
         :setup: Standalone
         :steps:
             1. Try to pass filter rules as per the condition.
diff --git a/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py b/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
index 355b3f4..db2be9f 100644
--- a/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
+++ b/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
@@ -123,6 +123,7 @@ def test_search_basic(topology_st, create_user, user_aci, add_attr,
        Please see: https://tools.ietf.org/html/rfc3673
 
     :id: 14c66bc2-28e1-4f5f-893e-508e0f720f8c
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             deny one attribute aci for that user
     :steps:
diff --git a/dirsrvtests/tests/suites/filter/vfilter_attribute_test.py b/dirsrvtests/tests/suites/filter/vfilter_attribute_test.py
index 24510db..defcf25 100644
--- a/dirsrvtests/tests/suites/filter/vfilter_attribute_test.py
+++ b/dirsrvtests/tests/suites/filter/vfilter_attribute_test.py
@@ -199,7 +199,9 @@ def _create_test_entries(topo):
 @pytest.mark.parametrize("filter_test, condition, filter_out", VALUES_POSITIVE)
 def test_all_together_positive(topo, _create_test_entries, filter_test, condition, filter_out):
     """Test filter with positive results.
+
         :id: 51924a38-9baa-11e8-b22a-8c16451d917b
+        :parametrized: yes
         :setup: Standalone Server
         :steps:
             1. Create Filter rules.
diff --git a/dirsrvtests/tests/suites/filter/vfilter_simple_test.py b/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
index 6f4a820..b009973 100644
--- a/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
+++ b/dirsrvtests/tests/suites/filter/vfilter_simple_test.py
@@ -517,7 +517,9 @@ def _create_test_entries(topo):
 def test_param_positive(topo, _create_test_entries, real_value):
     """
     Will test Filters with positive output.
+
     :id: 71de14a4-9f22-11e8-b5cc-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Server
     :steps:
         1. Create Filter rules.
@@ -533,7 +535,9 @@ def test_param_positive(topo, _create_test_entries, real_value):
 def test_param_negative(topo, _create_test_entries, real_value):
     """
     Will test Filetrs with 0 outputs
+
     :id: 81054e7a-9f22-11e8-a461-8c16451d917b
+    :parametrized: yes
     :setup: Standalone Server
     :steps:
         1. Create Filter rules.
diff --git a/dirsrvtests/tests/suites/logging/logging_config_test.py b/dirsrvtests/tests/suites/logging/logging_config_test.py
index 4d8d68a..ac154b7 100644
--- a/dirsrvtests/tests/suites/logging/logging_config_test.py
+++ b/dirsrvtests/tests/suites/logging/logging_config_test.py
@@ -31,6 +31,7 @@ def test_logging_digit_config(topo, attr, invalid_vals, valid_vals):
     """Validate logging config settings
 
     :id: a0ef30e5-538b-46fa-9762-01a4435a15e9
+    :parametrized: yes
     :setup: Standalone Instance
     :steps:
         1. Test log expiration time
diff --git a/dirsrvtests/tests/suites/paged_results/paged_results_test.py b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
index d0fcf8b..9fdceb1 100644
--- a/dirsrvtests/tests/suites/paged_results/paged_results_test.py
+++ b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
@@ -228,6 +228,7 @@ def test_search_success(topology_st, create_user, page_size, users_num):
     returns all entries it should without errors.
 
     :id: ddd15b70-64f1-4a85-a793-b24761e50354
+    :parametrized: yes
     :feature: Simple paged results
     :setup: Standalone instance, test user for binding,
             varying number of users for the search base
@@ -273,6 +274,7 @@ def test_search_limits_fail(topology_st, create_user, page_size, users_num,
     exceeded.
 
     :id: e3067107-bd6d-493d-9989-3e641a9337b0
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             varying number of users for the search base
     :steps:
@@ -513,6 +515,7 @@ def test_search_dns_ip_aci(topology_st, create_user, aci_subject):
     to completion on the suffix with DNS or IP based ACI
 
     :id: bbfddc46-a8c8-49ae-8c90-7265d05b22a9
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             varying number of users for the search base
     :steps:
@@ -633,6 +636,7 @@ def test_search_invalid_cookie(topology_st, create_user, invalid_cookie):
     a TypeError exception
 
     :id: 107be12d-4fe4-47fe-ae86-f3e340a56f42
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             varying number of users for the search base
     :steps:
@@ -772,6 +776,7 @@ def test_search_nspagedsizelimit(topology_st, create_user,
     the simple paged results control.
 
     :id: b08c6ad2-ba28-447a-9f04-5377c3661d0d
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             10 users for the search base
     :steps:
@@ -840,6 +845,7 @@ def test_search_paged_limits(topology_st, create_user, conf_attr_values, expecte
     search abilities.
 
     :id: e0f8b916-7276-4bd3-9e73-8696a4468811
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             10 users for the search base
     :steps:
@@ -912,6 +918,7 @@ def test_search_paged_user_limits(topology_st, create_user, conf_attr_values, ex
     while performing search with the simple paged results control.
 
     :id: 69e393e9-1ab8-4f4e-b4a1-06ca63dc7b1b
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             10 users for the search base
     :steps:
@@ -1075,6 +1082,7 @@ def test_maxsimplepaged_per_conn_success(topology_st, create_user, conf_attr_val
     """Verify that nsslapd-maxsimplepaged-per-conn acts according design
 
     :id: 192e2f25-04ee-4ff9-9340-d875dcbe8011
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             20 users for the search base
     :steps:
@@ -1118,6 +1126,7 @@ def test_maxsimplepaged_per_conn_failure(topology_st, create_user, conf_attr_val
     """Verify that nsslapd-maxsimplepaged-per-conn acts according design
 
     :id: eb609e63-2829-4331-8439-a35f99694efa
+    :parametrized: yes
     :setup: Standalone instance, test user for binding,
             20 users for the search base
     :steps:
diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
index ec8fc6d..02e0922 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_attribute_test.py
@@ -80,6 +80,7 @@ def test_change_pwd(topology_st, create_user, password_policy,
     User should have a priority over a subtree.
 
     :id: 2c884432-2ba1-4662-8e5d-2cd49f77e5fa
+    :parametrized: yes
     :setup: Standalone instance, a test user,
             password policy entries for a user and a subtree
     :steps:
diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
index 2f85f62..1fe57c3 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_inherit_global_test.py
@@ -99,6 +99,7 @@ def test_entry_has_no_restrictions(topology_st, password_policy, create_user,
     """Make sure an entry added to ou=people has no password syntax restrictions
 
     :id: 2f07ff40-76ca-45a9-a556-331c94084945
+    :parametrized: yes
     :setup: Standalone instance, test user,
             password policy entries for a subtree
     :steps:
diff --git a/dirsrvtests/tests/suites/password/pwdPolicy_warning_test.py b/dirsrvtests/tests/suites/password/pwdPolicy_warning_test.py
index 2f05eb6..b4a21b8 100644
--- a/dirsrvtests/tests/suites/password/pwdPolicy_warning_test.py
+++ b/dirsrvtests/tests/suites/password/pwdPolicy_warning_test.py
@@ -187,6 +187,7 @@ def test_different_values(topology_st, value):
     to various values both valid and invalid
 
     :id: 3e6d79fb-b4c8-4860-897e-5b207815a75d
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Try to set passwordSendExpiringTime to 'on' and 'off'
@@ -276,6 +277,7 @@ def test_password_warning(topology_st, global_policy, add_user, attr, val):
     and setting passwordWarning to a short value
 
     :id: 39f54b3c-8c80-43ca-856a-174d81c56ce8
+    :parametrized: yes
     :setup: Standalone instance, a test user,
             Global password policy configured as below:
                 passwordExp: on
diff --git a/dirsrvtests/tests/suites/password/pwd_algo_test.py b/dirsrvtests/tests/suites/password/pwd_algo_test.py
index 191c898..bfd0309 100644
--- a/dirsrvtests/tests/suites/password/pwd_algo_test.py
+++ b/dirsrvtests/tests/suites/password/pwd_algo_test.py
@@ -127,6 +127,9 @@ def _test_algo_for_pbkdf2(inst, algo_name):
 def test_pwd_algo_test(topology_st, algo):
     """Assert that all of our password algorithms correctly PASS and FAIL varying
     password conditions.
+
+    :id: fbb308a8-8374-4abd-b786-1f88e56f7650
+    :parametrized: yes
     """
     if algo == 'DEFAULT':
         if ds_is_older('1.4.0'):
diff --git a/dirsrvtests/tests/suites/password/regression_test.py b/dirsrvtests/tests/suites/password/regression_test.py
index 93570f9..38c32ce 100644
--- a/dirsrvtests/tests/suites/password/regression_test.py
+++ b/dirsrvtests/tests/suites/password/regression_test.py
@@ -161,6 +161,7 @@ def test_trivial_passw_check(topo, passw_policy, create_user, user_pasw):
     """PasswordCheckSyntax attribute fails to validate cn, sn, uid, givenname, ou and mail attributes
 
     :id: bf9fe1ef-56cb-46a3-a6f8-5530398a06dc
+    :parametrized: yes
     :setup: Standalone instance.
     :steps:
         1. Configure local password policy with PasswordCheckSyntax set to on.
@@ -191,6 +192,7 @@ def test_global_vs_local(topo, passw_policy, create_user, user_pasw):
     """Passwords rejected if its similar to uid, cn, sn, givenname, ou and mail attributes
 
     :id: dfd6cf5d-8bcd-4895-a691-a43ad9ec1be8
+    :parametrized: yes
     :setup: Standalone instance
     :steps:
         1. Configure global password policy with PasswordCheckSyntax set to off
diff --git a/dirsrvtests/tests/suites/replication/acceptance_test.py b/dirsrvtests/tests/suites/replication/acceptance_test.py
index b1e1e5f..c8e0a4c 100644
--- a/dirsrvtests/tests/suites/replication/acceptance_test.py
+++ b/dirsrvtests/tests/suites/replication/acceptance_test.py
@@ -175,6 +175,7 @@ def test_modrdn_entry(topo_m4, create_entry, delold):
     """Check that entries are replicated after modrdn operation
 
     :id: 02558e6d-a745-45ae-8d88-34fe9b16adc9
+    :parametrized: yes
     :setup: Four masters replication setup, an entry
     :steps:
         1. Make modrdn operation on entry on master1 with both delold 1 and 0
diff --git a/dirsrvtests/tests/suites/replication/encryption_cl5_test.py b/dirsrvtests/tests/suites/replication/encryption_cl5_test.py
index 529b129..d6a5b9e 100644
--- a/dirsrvtests/tests/suites/replication/encryption_cl5_test.py
+++ b/dirsrvtests/tests/suites/replication/encryption_cl5_test.py
@@ -80,6 +80,7 @@ def test_algorithm_unhashed(topology_with_tls, encryption):
     And check unhashed#user#password attribute for encryption.
 
     :id: b7a37bf8-4b2e-4dbd-9891-70117d67558c
+    :parametrized: yes
     :setup: Replication with two masters and SSL configured.
     :steps: 1. Enable changelog encrytion on master1 (try AES and 3DES).
             2. Add a user to master1/master2
diff --git a/dirsrvtests/tests/suites/replication/replica_config_test.py b/dirsrvtests/tests/suites/replication/replica_config_test.py
index 599f6ac..1855143 100644
--- a/dirsrvtests/tests/suites/replication/replica_config_test.py
+++ b/dirsrvtests/tests/suites/replication/replica_config_test.py
@@ -118,6 +118,7 @@ def test_replica_num_add(topo, attr, too_small, too_big, overflow, notnum, valid
     """Test all the number values you can set for a replica config entry
 
     :id: a8b47d4a-a089-4d70-8070-e6181209bf92
+    :parametrized: yes
     :setup: standalone instance
     :steps:
         1. Use a value that is too small
@@ -154,6 +155,7 @@ def test_replica_num_modify(topo, attr, too_small, too_big, overflow, notnum, va
     """Test all the number values you can set for a replica config entry
 
     :id: a8b47d4a-a089-4d70-8070-e6181209bf93
+    :parametrized: yes
     :setup: standalone instance
     :steps:
         1. Replace a value that is too small
@@ -188,6 +190,7 @@ def test_agmt_num_add(topo, attr, too_small, too_big, overflow, notnum, valid):
     """Test all the number values you can set for a replica config entry
 
     :id: a8b47d4a-a089-4d70-8070-e6181209bf94
+    :parametrized: yes
     :setup: standalone instance
     :steps:
         1. Use a value that is too small
@@ -228,6 +231,7 @@ def test_agmt_num_modify(topo, attr, too_small, too_big, overflow, notnum, valid
     """Test all the number values you can set for a replica config entry
 
     :id: a8b47d4a-a089-4d70-8070-e6181209bf95
+    :parametrized: yes
     :setup: standalone instance
     :steps:
         1. Replace a value that is too small
diff --git a/dirsrvtests/tests/suites/replication/wait_for_async_feature_test.py b/dirsrvtests/tests/suites/replication/wait_for_async_feature_test.py
index b47bd41..270c41e 100644
--- a/dirsrvtests/tests/suites/replication/wait_for_async_feature_test.py
+++ b/dirsrvtests/tests/suites/replication/wait_for_async_feature_test.py
@@ -122,6 +122,7 @@ def test_value_check(topology_m2, waitfor_async_attr):
     """Checks that value has been set correctly
 
     :id: 3e81afe9-5130-410d-a1bb-d798d8ab8519
+    :parametrized: yes
     :setup: Replication with two masters,
         wait for async set on all masters, try:
         None, '2000', '0', '-5'
@@ -146,6 +147,7 @@ def test_behavior_with_value(topology_m2, waitfor_async_attr, entries):
     nsDS5ReplicaWaitForAsyncResults attribute values
 
     :id: 117b6be2-cdab-422e-b0c7-3b88bbeec036
+    :parametrized: yes
     :setup: Replication with two masters,
         wait for async set on all masters, try:
         None, '2000', '0', '-5'
diff --git a/dirsrvtests/tests/suites/setup_ds/remove_test.py b/dirsrvtests/tests/suites/setup_ds/remove_test.py
index 96e58b8..a66ddee 100644
--- a/dirsrvtests/tests/suites/setup_ds/remove_test.py
+++ b/dirsrvtests/tests/suites/setup_ds/remove_test.py
@@ -34,7 +34,11 @@ def topology_st(request):
 
 @pytest.mark.parametrize("simple_allocate", (True, False))
 def test_basic(topology_st, simple_allocate):
-    """Check that all DS directories and systemd items were removed"""
+    """Check that all DS directories and systemd items were removed
+
+    :id: 9e8bbcda-358d-4e9c-a38c-9b4c3b63308e
+    :parametrized: yes
+    """
 
     inst = topology_st.standalone
 
diff --git a/dirsrvtests/tests/suites/setup_ds/setup_ds_test.py b/dirsrvtests/tests/suites/setup_ds/setup_ds_test.py
index ee2b40f..aee7576 100644
--- a/dirsrvtests/tests/suites/setup_ds/setup_ds_test.py
+++ b/dirsrvtests/tests/suites/setup_ds/setup_ds_test.py
@@ -44,7 +44,7 @@ def test_slapd_InstScriptsEnabled(config_attr):
     """Tests InstScriptsEnabled attribute with "True" and "False" options
 
     :id: 02faac7f-c44d-4a3e-bf2d-1021e51da1ed
-
+    :parametrized: yes
     :setup: Standalone instance with slapd.InstScriptsEnabled option as "True" and "False"
 
     :steps:
diff --git a/dirsrvtests/tests/suites/stat/mmt_state_test.py b/dirsrvtests/tests/suites/stat/mmt_state_test.py
index 9e3da83..7c1b250 100644
--- a/dirsrvtests/tests/suites/stat/mmt_state_test.py
+++ b/dirsrvtests/tests/suites/stat/mmt_state_test.py
@@ -58,6 +58,7 @@ def test_check_desc_attr_state(topo, attr_name, attr_value, oper_type, exp_value
     added/modified/deleted and operational attributes vucsn, adcsn and vdcsn are present.
 
     :id: f0830538-02cf-11e9-8be0-8c16451d917b
+    :parametrized: yes
     :setup: Replication with two masters.
     :steps: 1. Add user to Master1 without description attribute.
             2. Add description attribute to user.
@@ -121,6 +122,7 @@ def test_check_cn_attr_state(topo, attr_name, attr_value, oper_type, exp_values,
     operational attributes vucsn, adcsn and vdcsn are present.
 
     :id: 19614bae-02d0-11e9-a295-8c16451d917b
+    :parametrized: yes
     :setup: Replication with two masters.
     :steps: 1. Add user to Master1 with cn attribute.
             2. Add a new cn attribute to user.
@@ -179,6 +181,7 @@ def test_check_single_value_attr_state(topo, attr_name, attr_value, oper_type,
     added/modified/deleted and operational attributes vucsn, adcsn and vdcsn are present.
 
     :id: 22fd645e-02d0-11e9-a9e4-8c16451d917b
+    :parametrized: yes
     :setup: Replication with two masters.
     :steps: 1. Add user to Master1 without preferredlanguage attribute.
             2. Add a new preferredlanguage attribute to user.
@@ -232,6 +235,7 @@ def test_check_subtype_attr_state(topo, attr_name, attr_value, oper_type, exp_va
     is added/modified/deleted and operational attributes vucsn, adcsn and vdcsn are present.
 
     :id: 29ab87a4-02d0-11e9-b104-8c16451d917b
+    :parametrized: yes
     :setup: Replication with two masters.
     :steps: 1. Add user to Master1 without roomnumber;office attribute.
             2. Add roomnumber;office attribute to user.
@@ -297,6 +301,7 @@ def test_check_jpeg_attr_state(topo, attr_name, attr_value, oper_type, exp_value
     and operational attributes vucsn, adcsn and vdcsn are present.
 
     :id: 312ac0d0-02d0-11e9-9d34-8c16451d917b
+    :parametrized: yes
     :setup: Replication with two masters.
     :steps: 1. Add user to Master1 without jpegphoto attribute.
             2. Add jpegphoto attribute to user.

